package dev.pfaff.altargui.debug;

final class NopProfiler implements Profiler {
	NopProfiler() {
	}

	@Override
	public void push(String name) {
	}

	@Override
	public void pop() {
	}

	@Override
	public void replace(String name) {
	}

	@Override
	public boolean isEventEnabled(Class<? extends Event> eventClass) {
		return false;
	}

	@Override
	public void pushEvent(Event event) {
	}

	@Override
	public void popEvent() {
	}
}
