package dev.pfaff.altargui.text;

public interface Font {
	/**
	 * The scale factor to be applied to the font size when emitting vertex data. The {@link GlyphRef#minX()} and
	 * {@link GlyphRef#maxX()} must have this premultiplied.
	 */
	float scaleFactor();

	/**
	 * @deprecated this is a crutch to be used until {@link dev.pfaff.altargui.widgets.TextFragmentWidget
	 * TextFragmentWidget} is able to adjust its height and offset characters to fit.
	 */
	@Deprecated
	float baselineShift();

	GlyphRef getGlyph(int codepoint);
}
